Skip to main content
POST
/
v1
/
projects
Create Project
curl --request POST \
  --url https://api.landing.ai/v1/projects \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
import requests

url = "https://api.landing.ai/v1/projects"

payload = { "name": "<string>" }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({name: '<string>'})
};

fetch('https://api.landing.ai/v1/projects', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "data": {
    "id": 123,
    "name": "<string>",
    "createdAt": "<string>",
    "isActive": true
  }
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Headers

apikey
string | null

Query Parameters

timeout
integer | null
default:60

Body

application/json
name
string
required
projectType
enum<string>
required
Available options:
classification,
object-detection,
segmentation,
anomaly-detection

Response

Successful Response

data
ProjectResponseItem · object | null
required